import type { ExecResult } from "../../regex/types";
declare class Regex {
    #private;
    static readonly BREAK = "break";
    regexp: RegExp;
    constructor(regexp: RegExp);
    static fromString(source: string, flags?: string): Regex;
    get source(): string;
    get flags(): string;
    add(regexp: RegExp): this;
    test(string: string): boolean;
    exec(string: string, callback: (match: ExecResult) => unknown): this;
    match(string: string): ExecResult | null;
    clone(): Regex;
    toMatcher(): (string: string) => ExecResult | null;
}
export default Regex;
