import type { PageProps } from "../../../core/page/types";
import type AstroI18n from "../../../core/state/classes/astro-i18n.class";
import type { DeepStringRecord } from "../../../core/translation/types";
declare class Page implements PageProps {
    #private;
    constructor({ name, route, path, translations, routes }: PageProps);
    get name(): string;
    get route(): string;
    get path(): string;
    get translations(): {
        [locale: string]: DeepStringRecord;
    };
    get routes(): {
        [secondaryLocale: string]: {
            [segment: string]: string;
        };
    };
    getContent(): Promise<string>;
    getFrontmatter(): Promise<string | null>;
    hasGetStaticPaths(): Promise<boolean>;
    prerender(): Promise<boolean | null>;
    /**
     * @param route The translated route for which we are making the proxy.
     */
    getProxy(route: string, astroI18n: AstroI18n): Promise<string | null>;
}
export default Page;
