import { astroI18n } from "../../../core/state/singletons/astro-i18n.singleton";
import type { GetStaticPathsItem, GetStaticPathsProps } from "../../../core/astro/types";
/**
 * Workaround function to make astroI18n work inside getStaticPaths.
 * This is because Astro's getStaticPaths runs before everything which doesn't
 * allows astroI18n to update its state automatically.
 */
export declare function createGetStaticPaths(callback: (props: GetStaticPathsProps) => GetStaticPathsItem[] | Promise<GetStaticPathsItem[]>): (props: GetStaticPathsProps & {
    astroI18n?: {
        locale: string;
    };
}) => Promise<GetStaticPathsItem[]>;
