import type Config from "../../../core/config/classes/config.class";
import type { ConfigRoutes } from "../../../core/config/types";
import type { SegmentTranslations } from "../../../core/routing/types";
declare class SegmentBank {
    #private;
    constructor(translations?: SegmentTranslations, primaryLocale?: string);
    static fromConfig({ routes, primaryLocale }: Config): SegmentBank;
    get(segment: string, segmentLocale: string, targetLocale: string): string | null;
    getSegmentLocales(segment: string): string[];
    addSegments(segments: ConfigRoutes): this;
    clear(): void;
    toClientSideObject(): {
        [x: string]: {
            [untranslated: string]: {
                [otherLocale: string]: string;
            };
        };
    };
    toObject(): {
        primaryLocale: string;
        segments: SegmentTranslations;
    };
    toString(): string;
}
export default SegmentBank;
