import type { ComputedTranslations, DeepStringRecord, Formatters, SerializedTranslationMap, TranslationMap, TranslationProperties } from "../../../core/translation/types";
/**
 * Transforms a DeepStringRecord into ComputedTranslations.
 * Basically it flattens the DeepStringRecord and groups variants together.
 */
export declare function computeDeepStringRecord(deepStringRecord: DeepStringRecord, path?: string, computed?: ComputedTranslations): ComputedTranslations;
/**
 * Resolves every interpolation in the given string.
 */
export declare function interpolate(translation: string, properties: TranslationProperties, formatters: Formatters): string;
/**
 * Finds the best way to represent the unknown value as a string.
 */
export declare function unknowntoString(value: unknown): string;
export declare function deserializeTranslationMap(serialized: SerializedTranslationMap): TranslationMap;
